Commit fe8ba711 authored by Jakob Antonius Baatz's avatar Jakob Antonius Baatz
Browse files

add cd build

parent 1a3c73bb
Pipeline #4446 failed with stages
in 52 seconds
......@@ -13,9 +13,10 @@ deploy_staging:
script:
- pip install --user --upgrade setuptools wheel
- pip install -U twine
- python source/setup.py sdist bdist_wheel
- cd source/
- python setup.py sdist bdist_wheel
- twine check dist/*
- twine upload --skip-existing --repository-url https://test.pypi.org/legacy/ dist/*
- twine upload --verbose --skip-existing --repository-url https://test.pypi.org/legacy/ dist/*
only:
- stage
......@@ -27,6 +28,7 @@ deploy_production:
script:
- pip install --user --upgrade setuptools wheel
- pip install -U twine
- cd source/
- python source/setup.py sdist bdist_wheel
- twine check dist/*
- twine upload --skip-existing dist/*
......@@ -38,4 +40,17 @@ unittests:
script:
- conda env create -f environment.yaml
- source activate myenv
- nosetests source/tests/ -v --nocapture
\ No newline at end of file
- nosetests source/tests/ -v --nocapture
compile:
stage: build
script:
- conda update conda
- conda env create -f environment.yaml
- source activate myenv
- npm config set strict-ssl false
- npm install -g typescript
- npm install -g sass
- sass source/sass/gui.scss source/beads/resources/ui/css/gui.css
- tsc -b source/ts/
......@@ -3,4 +3,7 @@ name: myenv
dependencies:
- python>=3.6
- nose
- setuptools
- wheel
- twine
- nodejs
\ No newline at end of file
include LICENSE
recursive-include beads/resources *
\ No newline at end of file
import setuptools as sts
from setuptools import find_packages, setup
from beads.meta import TOOL_NAME, VERSION
sts.setup(
from os import path
this_directory = path.abspath(path.dirname(__file__))
with open(path.join(this_directory, 'README.md'), encoding='utf-8') as f:
long_description = f.read()
setup(
name=TOOL_NAME,
long_description=long_description,
long_description_content_type='text/markdown',
version=VERSION,
packages=sts.find_packages(),
packages=find_packages(),
include_package_data=True,
install_requires=install_requires(),
entry_points='''
[console_scripts]
beads=beads:main:beads
'''
install_requires=['click', 'eel'],
entry_points={
'console_scripts': [
'beads = beads.main:beads'
]
},
)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment